<?php
namespace App\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Illuminate\Auth\Events\PasswordReset;
use App\Listeners\SendPasswordResetSuccessNotification;

class EventServiceProvider extends ServiceProvider
{
    protected $listen = [//for reset password successfully
        PasswordReset::class => [
            SendPasswordResetSuccessNotification::class,
        ],
    ];
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }

    public function shouldDiscoverEvents(): bool
    {
        return false;
    }
}
